<!--c:forEach等のリファレンス処理をかけ雨量にするために書くこと-->
<!DOCTYPE html> <!-- ↑この2つの文のうち1行目のは、文字化けしないように初めにUTF-8と文字コードを設定する分で2行目は、c:forach等のEL式を書けるようにするために必要な文である。 -->
<html>

<head>
    <meta charset="UTF-8">
    <title></title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="../css/s.css" rel="stylesheet" type="text/css" />

</head>

<body>

    <header class="azuki">
        <ul class="nav justify-content-end navbarp">
            <li class="nav-item mr-auto">
                <!--トップッページに戻る-->
                <a class="nav-link active lawhite" href="#">サイト名</a>
            </li>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">マイページ</a>
                    </div>
                </li>
            </c:if>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">ユーザー情報</a>
                    </div>
                </li>
            </c:if>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">料理を投稿する</a>
                    </div>
                </li>
            </c:if>
            <li class="nav-item">
                <div class="headerLinks m-2 mr-2 ">
                    <a href="" class="lawhite">カテゴリ一覧 </a>
                </div>
            </li>
            <li class="nav-item">
                <form class="form-inline" action="" method="">
                    <div class="input-group">
                        <input type="text" class="form-control" size="50" placeholder="料理名、カテゴリなどを入力">
                        <button type="submit" class="btn btn-outline-light mx-1">検索</button>
                    </div>
                </form>
            </li>
            <li class="nav-item">
                <a class="nav-link active lawhite" href="#">ユーザー名</a>
            </li>
            <li class="nav-item">
                <a class="btn btn-outline-light" href="LogoutServlet">ログアウト</a>
            </li>
        </ul>
    </header>
    <div class="light">
        <p>○○>○○>○○>○○>○○</p>
    </div>
    <div class="wrapper">
        <div class="white maxwidth80">
            <h1>検索結果</h1>
            <div class="container">
                <form action="UserListServlet" method="post" class="form-horizontal">
                    <!-- ←formタグで囲まないとacion属性で設定した先に入力した内容を渡すことができない。 -->

                    <div class="form-group row py-1">
                        <label for="un" class=" col-form-label">料理名や材料等のキーワード:</label>
                        <div class="col">
                            <input class="m-1" type="text" id="un" name="name" size="30">
                        </div>
                    </div>

                    <div class="form-group row">
                        <label for="bn" class="col-form-label">投稿日</label>
                        <div class="col">
                            <input type="date" id="bn" name="birthDate">
                        </div>
                        <div class="col py-1">
                            から
                        </div>
                        <div class="col">
                            <input type="date" name="birthDate2">
                        </div>
                        <div class="col py-1">
                            まで
                        </div>
                    </div>

                    <div class="text-right">
                        <button type="submit" value="検索" class="btn btn-outline-success my-2 my-sm-0">検索</button>
                    </div>
                </form>
            </div>
        </div>

        <div class="wrapper m-3">
            <table class="table">
                <thead>
                    <tr class="table-warning">
                        <th scope="col-2">投稿日</th>
                        <th scope="col-2">画像</th>
                        <th scope="col-2">料理名</th>
                        <th scope="col-2">調理手順</th>
                        <th scope="col-2">使用材料</th>
                        <th scope="col-2">分量</th>
                    </tr>
                </thead>
                <tbody>
                    <c:forEach var="user" items="${userList}">

                        <!--投稿日が新しい順に上から表示、カテゴリにあったもののみを表示-->

                        <tr>
                            <td>${user.birthDate}</td>
                            <td>${user.loginId}</td>
                            <td>${user.name}</td>
                            <td>${user.fooddetail}</td>
                            <td>${user.usematerial}</td>
                            <td>${user.usematerialquantity}</td>
                        </tr>
                    </c:forEach>
                    <div class="row">
                        <div class="col-md-6 offset-md-3 py-2">
                            <nav aria-label="ページ送り">
                                <div class="text-center">
                                    <ul class="pagination justify-content-center">
                                        <li class="page-item"><a class="page-link" href="?page={{ previous_page_number }}">&laquo;</a></li>
                                        <li class="page-item"><a class="page-link" href="?page=1">1</a></li>
                                        <li class="page-item active" aria-current="page">
                                            <a class="page-link" href="#">2 <span class="sr-only">(現位置)</span></a>
                                        </li>
                                        <li class="page-item"><a class="page-link" href="?page=3">3</a></li>
                                        <li class="page-item"><a class="page-link" href="?page=4">4</a></li>
                                        <li class="page-item"><a class="page-link" href="?page=5">5</a></li>
                                        <li class="page-item"><a class="page-link" href="?page={{ next_page_number }}">&raquo;</a></li>
                                    </ul>
                                </div>
                            </nav>
                        </div>
                    </div>
                </tbody>
            </table>
            <div class="row">
                <div class="col-md-6 offset-md-3 py-2">
                    <nav aria-label="ページ送り">
                        <div class="text-center">
                            <ul class="pagination justify-content-center">
                                <li class="page-item"><a class="page-link" href="?page={{ previous_page_number }}">&laquo;</a></li>
                                <li class="page-item"><a class="page-link" href="?page=1">1</a></li>
                                <li class="page-item active" aria-current="page">
                                    <a class="page-link" href="#">2 <span class="sr-only">(現位置)</span></a>
                                </li>
                                <li class="page-item"><a class="page-link" href="?page=3">3</a></li>
                                <li class="page-item"><a class="page-link" href="?page=4">4</a></li>
                                <li class="page-item"><a class="page-link" href="?page=5">5</a></li>
                                <li class="page-item"><a class="page-link" href="?page={{ next_page_number }}">&raquo;</a></li>
                            </ul>
                        </div>
                    </nav>
                </div>
            </div>
        </div>
        <footer>
            <p class="m-1">(c)copy right</p>
        </footer>
    </div>
</body>

</html>
